inohilog

/var/log/inohiro

UbuntuでRailsの環境

  • 前にやったときのメモ(OpenIDライブラリ、プラグインのインストールとか)
    • 最近9.10から10.04にアップグレードしたUbuntuRails 2.3.8 + jpmobileの環境を作ろうとしているんだけど、どうもうまくいかない
    • Ubuntuの場合、Railsのインストールはgemじゃなくてaptitude(apt-get)でやるのが正解だった、と覚えている
= 開発メモ =
== Rails ==
$ sudo aptitude install rails

== RubyGems ==
$ wget http://rubyforge.org/frs/download.php/60718/rubygems-1.3.5.tgz
$ tar xvfz rubygems-1.3.5.tgz
$ sudo ruby rubygems-1.3.5/setup.rb

== ruby-openid Library ==
$ sudo gem install ruby-openid

== Create db ==
$ rake open_id_authentication:db:create
$ rake db:migrate

== Start Server ==
$ script/server

= Rails Plugin Install =
== jQuery Install ==
$ ruby script/plugin install http://ennerchi.googlecode.com/svn/trunk/plugins/jrails

== open_id_authentication Install ==
$ ruby script/plgin install open_id_authentication

追加

別にgemでインストールするのが悪いとかそういう意味じゃない。aptitudeよりもgemのほうがバージョンが新しいものが入ってくるし。